/***************************************************************************
;
;    This module is part of the BiPOM developer image for CloudGate Monnit
;    support. All the information in this source file and other source files
;    in the same developer image are copyrighted property of BiPOM Electronics.
;    The source files and the contained information in the source files are
;    confidential and should not be disclosed to anybody other than BiPOM,
;    Option and Monnit software developers, and only to those that have a need to
;    know.
;
;    BiPOM Electronics disclaims all warranties, express or implied warranties
;    of merchantability and fitness for a particular purpose. In no event shall
;    BiPOM Electronics be liable for any indirect, special, incidental or
;    consequential damages in connection  with or arising from the use of this
;    program.
;
;    Please e-mail any questions and suggestions to tech@bipom.com
;
***************************************************************************/

#ifndef _BIPOM_WRTU_ALARM_INFO_
#define _BIPOM_WRTU_ALARM_INFO_

#ifdef __cplusplus
extern "C"{
#endif 

//*********************************************************************************************
typedef struct _wrtu_alarm_info
{
	unsigned long	Id;
	WrtuTime		Time;

	unsigned short	TagId;

	float			RawValue;
	float			CalcValue;
	short			AlarmType;

} WrtuAlarmInfo;

#define WRTU_ALARM_INFO_SIZE	sizeof(WrtuAlarmInfo)

#ifdef __cplusplus
}
#endif

#endif
