/***************************************************************************
;
;    This module is part of the BiPOM developer image for CloudGate Monnit
;    support. All the information in this source file and other source files
;    in the same developer image are copyrighted property of BiPOM Electronics.
;    The source files and the contained information in the source files are
;    confidential and should not be disclosed to anybody other than BiPOM,
;    Option and Monnit software developers, and only to those that have a need to
;    know.
;
;    BiPOM Electronics disclaims all warranties, express or implied warranties
;    of merchantability and fitness for a particular purpose. In no event shall
;    BiPOM Electronics be liable for any indirect, special, incidental or
;    consequential damages in connection  with or arising from the use of this
;    program.
;
;    Please e-mail any questions and suggestions to tech@bipom.com
;
***************************************************************************/

#ifndef _BIPOM_WRTU_CONTACT_INFO_
#define _BIPOM_WRTU_CONTACT_INFO_

#ifdef __cplusplus
extern "C"{
#endif 

// *********************************************************
#define WRTU_CONTACT_CFG_VER			0x01
#define WRTU_CONTACT_PHONE_COUNT		2
#define WRTU_CONTACT_EMAIL_COUNT		2

#define WRTU_CONTACT_FIRST_NAME_LEN		30
#define WRTU_CONTACT_LAST_NAME_LEN		30
#define WRTU_CONTACT_PHONE_LEN			20
#define WRTU_CONTACT_EMAIL_LEN			40
#define WRTU_CONTACT_TITLE_LEN			20

//*********************************************************************************************
typedef struct _wrtu_contact_info
{
	short id;

	char FirstName[WRTU_CONTACT_FIRST_NAME_LEN];
	char LastName[WRTU_CONTACT_LAST_NAME_LEN];
	char Phone1[WRTU_CONTACT_PHONE_LEN];
	char Phone2[WRTU_CONTACT_PHONE_LEN];
	char Email1[WRTU_CONTACT_EMAIL_LEN];
	char Email2[WRTU_CONTACT_EMAIL_LEN];
	char Title[WRTU_CONTACT_TITLE_LEN];

} WrtuContactInfo;

#define WRTU_CONTACT_INFO_SIZE	sizeof(WrtuContactInfo)

#ifdef __cplusplus
}
#endif

#endif	