/***************************************************************************
;
;    This module is part of the BiPOM developer image for CloudGate Monnit
;    support. All the information in this source file and other source files
;    in the same developer image are copyrighted property of BiPOM Electronics.
;    The source files and the contained information in the source files are
;    confidential and should not be disclosed to anybody other than BiPOM,
;    Option and Monnit software developers, and only to those that have a need to
;    know.
;
;    BiPOM Electronics disclaims all warranties, express or implied warranties
;    of merchantability and fitness for a particular purpose. In no event shall
;    BiPOM Electronics be liable for any indirect, special, incidental or
;    consequential damages in connection  with or arising from the use of this
;    program.
;
;    Please e-mail any questions and suggestions to tech@bipom.com
;
***************************************************************************/

#ifndef _BIPOM_WRTU_VALUES_MAP_H_
#define _BIPOM_WRTU_VALUES_MAP_H_

#ifdef __cplusplus
extern "C"{
#endif 

	// *********************************************************
	#define WRTU_VMAP_ITEM_VER			0x02
	#define WRTU_VMAP_ITEM_TEXT_LEN		64

	//*********************************************************************************************
	typedef struct _wrtu_vmap_item
	{
		short			Id;
		unsigned long   TagId;
		int   			Value;
		char  			Text[WRTU_VMAP_ITEM_TEXT_LEN];

	} WrtuVMapItem;


	#define WRTU_VMAP_ITEM_SIZE		sizeof(WrtuVMapItem)

#ifdef __cplusplus
}
#endif

#endif	