/***************************************************************************
;
;    This module is part of the BiPOM developer image for CloudGate Monnit
;    support. All the information in this source file and other source files
;    in the same developer image are copyrighted property of BiPOM Electronics.
;    The source files and the contained information in the source files are
;    confidential and should not be disclosed to anybody other than BiPOM,
;    Option and Monnit software developers, and only to those that have a need to
;    know.
;
;    BiPOM Electronics disclaims all warranties, express or implied warranties
;    of merchantability and fitness for a particular purpose. In no event shall
;    BiPOM Electronics be liable for any indirect, special, incidental or
;    consequential damages in connection  with or arising from the use of this
;    program.
;
;    Please e-mail any questions and suggestions to tech@bipom.com
;
***************************************************************************/

#ifndef _BIPOM_WRTU_MESSAGE_INFO_
#define _BIPOM_WRTU_MESSAGE_INFO_

#ifdef __cplusplus
extern "C"{
#endif 

	// *********************************************************
	#define WRTU_MESSAGE_CFG_VER	0x01
	#define WRTU_MESSAGE_LEN		160

	//*********************************************************************************************
	typedef struct _wrtu_message_info
	{
		short Id;
		char  Text[WRTU_MESSAGE_LEN];

	} WrtuMessageInfo;

	#define WRTU_MESSAGE_INFO_SIZE	  sizeof(WrtuMessageInfo)
	
#ifdef __cplusplus
}
#endif

#endif	