/***************************************************************************
;
;    This module is part of the BiPOM developer image for CloudGate Monnit
;    support. All the information in this source file and other source files
;    in the same developer image are copyrighted property of BiPOM Electronics.
;    The source files and the contained information in the source files are
;    confidential and should not be disclosed to anybody other than BiPOM,
;    Option and Monnit software developers, and only to those that have a need to
;    know.
;
;    BiPOM Electronics disclaims all warranties, express or implied warranties
;    of merchantability and fitness for a particular purpose. In no event shall
;    BiPOM Electronics be liable for any indirect, special, incidental or
;    consequential damages in connection  with or arising from the use of this
;    program.
;
;    Please e-mail any questions and suggestions to tech@bipom.com
;
***************************************************************************/

#ifndef _BIPOM_WRTU_SMTP_INFO_
#define _BIPOM_WRTU_SMTP_INFO_

#ifdef __cplusplus
extern "C"{
#endif 

// *********************************************************
#define WRTU_SMTP_ADDRESS_LEN			128
#define WRTU_SMTP_LOGIN_LEN				128
#define WRTU_SMTP_PASSWORD_LEN			128
#define WRTU_SMTP_SUBJECT_LEN			128

#define WRTU_SMTP_CFG_VER				0x03

// *********************************************************
typedef struct _wrtu_smtp_info
{
	char	ServerAddr[WRTU_SMTP_ADDRESS_LEN];
	int		ServerPort;

	char	Login[WRTU_SMTP_LOGIN_LEN];
	char	Password[WRTU_SMTP_PASSWORD_LEN];
    char	EmailFrom[WRTU_SMTP_ADDRESS_LEN];
    char	EmailSubject[WRTU_SMTP_SUBJECT_LEN];

} WrtuSmtpInfo;

#define WRTU_SMTP_INFO_SIZE			sizeof(WrtuSmtpInfo)

#ifdef __cplusplus
}
#endif

#endif	