/***************************************************************************
;
;    This module is part of the BiPOM developer image for CloudGate Monnit
;    support. All the information in this source file and other source files
;    in the same developer image are copyrighted property of BiPOM Electronics.
;    The source files and the contained information in the source files are
;    confidential and should not be disclosed to anybody other than BiPOM,
;    Option and Monnit software developers, and only to those that have a need to
;    know.
;
;    BiPOM Electronics disclaims all warranties, express or implied warranties
;    of merchantability and fitness for a particular purpose. In no event shall
;    BiPOM Electronics be liable for any indirect, special, incidental or
;    consequential damages in connection  with or arising from the use of this
;    program.
;
;    Please e-mail any questions and suggestions to tech@bipom.com
;
***************************************************************************/

#ifndef _BIPOM_WRTU_TIME_
#define _BIPOM_WRTU_TIME_

#ifdef __cplusplus
extern "C"{
#endif 

	//*********************************************************************************************
	typedef struct _wrtu_time
	{
		int	year;	// 0..4095
		int	month;	// 1..12
		int	day;	// 1..31

		int	hour;	// 0..23
		int	minute;	// 0..59
		int	second;	// 0..59

	} WrtuTime;

#endif